Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33376/?format=api
{ "ob_id": 33376, "uuid": "b42f524bc9cd4dd6850b2399b616f5c4", "title": "JNCC Sentinel-2 indices Analysis Ready Data (ARD) Normalised Difference Water Index (NDWI) v1", "abstract": "Sentinel-Hub NDWI description: The NDWI is used to monitor changes related to water content in water bodies. As water bodies strongly absorb light in visible to the infrared electromagnetic spectrum, NDWI uses green and near-infrared bands to highlight water bodies. It is sensitive to built-up land and can result in the over-estimation of water bodies. \r\nIndex values greater than 0.5 usually correspond to water bodies. Vegetation usually corresponds to much smaller values and built-up areas to values between zero and 0.2.\r\n\r\nNDWI = (GREEN – NIR) / (GREEN + NIR)\r\n\r\nSentinel-2 NDWI = (B03 - B08) / (B03 + B08)\r\n\r\nThese data have been created by the Joint Nature Conservation Committee (JNCC) as part of a Defra Natural Capital and Ecosystem Assessment (NCEA) project to produce a regional, and ultimately national, system for detecting a change in habitat conditions at a land parcel level. The first stage of the project is focused on Yorkshire, UK, and therefore the dataset includes granules and scenes covering Yorkshire and surrounding areas only. The dataset contains Normalised Difference Water Index (NDWI) data derived from Defra and JNCC Sentinel-2 Analysis Ready Data.\r\n\r\nNDWI files are generated for the following Sentinel-2 granules:\r\n•\tT30UWE\r\n•\tT30UXF\r\n•\tT30UWF\r\n•\tT30UXE\r\n•\tT31UCV \r\n•\tT30UYE\r\n•\tT31UCA\r\n\r\nAs the project continues, JNCC will expand the geographical coverage of this dataset and will provide continuous updates as ARD becomes available.", "keywords": "JNCC, ARD, NDWI, Sentinel 2, EO indices, Analysis Ready Data, Sentinel", "publicationState": "published", "dataPublishedTime": "2022-05-11T14:39:30", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33377/?format=api", "dataPath": "/neodc/sentinel_ard/indices/sentinel_2/ndwi/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1971223782059, "numberOfFiles": 17689, "fileFormat": "These data are provided in Cloud Optimized GeoTIFF (COG) format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9165/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2609/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/30197/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149039/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149040/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149041/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149035/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149038/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/33378/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }